package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.WeekSpotCheckConditionDto;
import com.tofly.watermeter.custom.vo.BwzjbcjdatailVO;
import com.tofly.watermeter.entity.Bwzjbcjdatail;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface WeekSpotCheckService {

    List<Map> count(HttpServletResponse response, WeekSpotCheckConditionDto dto);

    Page<Map> queryInfo(Page page, HttpServletResponse response, WeekSpotCheckConditionDto dto);

    boolean insertWeek(BwzjbcjdatailVO tail);

    Page<Map> getTurnOverTable(Page page,Long type,Long vendor,Long cal,Long tableType,String dto,String lsbh);

    Map<String, Long> getCheckNum(String lsbh, Long cal,Long yjlx,String tableName);

}
